[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# TCustomIdleTimer.AutoStartEvent

AutoStartEvent - the event that triggers auto-start (either idle time-out or user input).

## Declaration

Source position: extctrls.pp line 245

`public property TCustomIdleTimer.AutoStartEvent : TIdleTimerAutoEvent read FAutoStartEvent write FAutoStartEvent default itaOnIdle;`

## Description

AutoStartEvent defines, when Enabled is automatically set to True. This is one of the following events:

- on application becomes idle
- on application stops being idle (e.g. user input or some timer fired)
- user input, e.g. key press, mouse move

The default value for the property is itaOnIdle.